/** @file
 * $Author: messineo $
 * $Date: 2008-03-04 18:09:31 $
 * $Revision: 1.4 $
 * 
 * Implementation of the Ac1AlarmReader class.
 */

#include "ReaderAlgorithms.h"

using namespace pamela::techmodel;


/**
 * Constructor. 
 */
Ac1AlarmReader::Ac1AlarmReader(void): 
  TechmodelAlgorithm(PacketType::Ac1Alarm, "TechmodelAc1AlarmReader") { 
  acAlarm = new Ac1AlarmEvent();
}

/**
 * Get a string with the version info of the algorithm.
 */
std::string Ac1AlarmReader::GetVersionInfo(void) const {
  return 
    "$Trailer: /home/cvsmanager/yoda/techmodel/ac1AlarmReader.cpp,v 1.1.1.1 2004/07/06 12:20:23 Maurizio Nagni Exp $\n";
}

/**
 * Initialize the algorithm with a special run. This will initialize the
 * event reader routines for all packet types.
 */
void Ac1AlarmReader::Init(PamelaRun *run) {
  run->WriteSubPacket(this, &acAlarm, acAlarm->Class());
}

/**
 * Unpack the Ac1Alarm event
 */
void Ac1AlarmReader::PKT_RunEvent(char* subData, long int dataLength) throw (WrongCRCException){
acAlarm->ac1AlarmData        = new TArrayC(dataLength, subData);
}
